<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>ospi2urdf: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">ospi2urdf
   </div>
   <div id="projectbrief">Express .osim files as .urdf files.</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetrials.html">trials</a></li><li class="navelem"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">OsimModel Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#aeccafc55d75969ab759d8d35148e2801">__init__</a>(self, model_path, ik_path, setup_ik_file, trc_path, geometry_path, visualize=False)</td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#a85fef58ab42139eacb8447b7877efce5">D_body_pos</a></td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#ac9cc607588687b45adf5b4375556aaa7">D_coord_joints</a></td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#a34a4a816e61e3f1736c00c702952f589">D_gd_prop</a></td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#af28c923a4294b207b08e28dd56d2ed22">D_joints_coord</a></td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#a7486798388859d931446ac93e5b5d5e8">D_joints_pos</a></td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#a434c26fc6e748829e0ae0cb2b0080661">D_joints_range</a></td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#a47d05410881806ad1a55788afe00459f">D_joints_value</a></td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#a26f66fa9d9cb8ff3958164d6e6caf797">D_jp</a></td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#a9265e92b4b23ffe0b87690a0285ae92a">D_Q_coord</a></td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#acb7429e8b1db51f15884b09f2e0e921e">geometry_path</a></td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#a4d5bb0c360b13429f65cd327c8d0aa12">model_path</a></td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#a2dc74f12fb449f1ea4d5c1496851cb15">motion_file</a></td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#a889532bd111eec9521fc0970d0e201be">osimModel</a></td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#ac9fdcc0d58ae4d643bdaf405dbbf3207">osimState</a></td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#a18989969f22d1e18f28773073a74acad">runIK</a>(self)</td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#a4101f31b991a0cf3175ba326ed7fb94d">setQ</a>(self, LQ, LQtype=0)</td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#a6da1ef6b88b12134205b4200806e06c2">setup_ik_path</a></td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#ae8a9086a8cf5fa70d76bba969becc9b2">trc_path</a></td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html#a69582ad715e9c2efbabd2ae864e1439b">updModel</a>(self)</td><td class="entry"><a class="el" href="classtrials_1_1OsimModel.html">OsimModel</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
